Bug 871371 - (block_vm_delete) PRD32 - RFE: allow to define termination protection per vm (block delete without a config change)
PRD32 - RFE: allow to define termination protection per vm (block delete with...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Frantisek Kobzik
Jiri Belka
virt
: FutureFeature
Depends On:
Blocks: 892426 915537
  Show dependency treegraph
 
Reported: 2012-10-30 06:46 EDT by Itamar Heim
Modified: 2015-09-22 09 EDT (History)
13 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Release Note
Doc Text:
A delete protection entity has been added for virtual machines and templates. When it is enabled in the web administration portal or REST API, the virtual machine or template cannot be deleted.
Story Points: ---
Clone Of:
: 892426 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:15:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Itamar Heim 2012-10-30 06:46:30 EDT
To prevent accidental delete of critical VMs, allow to add a checkbox at VM config, preventing deletion of the VM.
Delete VM will fail if this checkbox is enabled.
user must edit the VM and remove this checkbox before deleting the VM.
idea is to not allow user to delete even via a dialog confirmation, rather force user to edit the VM first to disable this option.
Comment 5 Roy Golan 2012-12-06 01:47:11 EST
REST tests fix
http://gerrit.ovirt.org/#/c/9757/
Comment 7 Jiri Belka 2013-01-25 05:52:32 EST
OK, sf4, checkbox exists.
Comment 14 Jiri Belka 2013-01-31 08:50:59 EST
ok, sf5.
Comment 15 errata-xmlrpc 2013-06-10 17:15:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.